Subject: bug#48156: basic system test broken: qemu-system-x86_64: error while loading shared libraries: libXcursor.so.1: cannot open shared object file: No such file or directory

From: Ludovic Courtès <[email-masked]>
Date: Thu, 06 May 2021 12:50:11 +0200

Hi,

Christopher Baines <[email-masked]> skribis:

> I've done a bit more digging, the qemu output is grafted, and I'm
> probably getting a different grafted result since the libxcursor output
> I have in my store is broken:
>
> /gnu/store/mwcfhmiivhp4q7wax3ja8s17pk20i6w9-libxcursor-1.2.0/
> └── share
>     └── doc
>         └── libxcursor-1.2.0
>             └── COPYING
>
> This comes from guix.cbaines.net, so it's probably not affecting anyone
> else. I checked where the build happened, and it took place on a machine
> which I was playing around with overclocking, and wasn't running in a
> stable way.
>
> I'm sort of impressed things managed to break in such a specific way
> though. Because of how the Guix Build Coordinator works, this build must
> have taken place, something went wrong in the middle, and then the
> outputs got uploaded and the build result reported all without
> issue. The build log has some interesting "succeeded after 0.0 seconds"
> bits at the end:
>
>   https://guix.cbaines.net/build/d4850c59-a007-4754-b16d-d867d63bc95e/log

Woow, this is super weird.  If all our packages could build this
quickly…  :-)

Thanks for following up,
Ludo’.